org.aspectj.lang.reflect

## Interface InterTypeConstructorDeclaration

All Superinterfaces:
  InterTypeDeclaration

All Known Implementing Classes:
  InterTypeConstructorDeclarationImpl

    public interface InterTypeConstructorDeclaration
    extends InterTypeDeclaration

Runtime representation of an inter-type constructor member declared within an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`AjType<?>[]` `getExceptionTypes()`
`Type[]` `getGenericParameterTypes()`
`AjType<?>[]` `getParameterTypes()`

### Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration

`getDeclaringType, getModifiers, getTargetType`

### Method Detail

#### getParameterTypes

    AjType<?>[] getParameterTypes()

Returns:
  the constructor parameters

#### getGenericParameterTypes

    Type[] getGenericParameterTypes()

Returns:
  the generic constructor parameters

#### getExceptionTypes

    AjType<?>[] getExceptionTypes()

Returns:
  the declared exceptions thrown by this constructor